Subject: Re: [Patch 1/2] IB/mlx5: Implementation of PCI error handler

From: Carol Soto <[email-masked]>
Date: Thu, 13 Mar 2014 11:26:30 -0500

On 3/13/2014 11:03 AM, Eli Cohen wrote:
> On Thu, Mar 13, 2014 at 10:51:46AM -0500, Carol Soto wrote:
>> The motivation to reduce that timeout is that if there is a process
>> in the middle of a HW command
>> in the middle of the PCI error, I probably did not want to wait 2hrs
>> since the command will never complete
>> since the card is dead. Now you are right, I forgot the case of big
>> memory registration where commands can
>> take longer than that. Do you have an idea of what is the longest
>> time that a command can take in mlx5?
>>
> There is no guranteed time for command completions. With current
> driver/firmware, registration of 4.5 GB can take around 2 minutes; for
> larger regions it can take even more time. As I mentioned earlier, I
> will soon send a patch that reduces registation times for large
> regions.
Hi Eli,

I can wait for your patch to be available and try this again. For now,  
I can remove
my changes for the timeout and resubmit the patch.
Thanks for the feedback about the commands.

Carol
> --
> To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html